Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000426bareos-core[All Projects] directorpublic2015-02-25 09:332016-03-29 13:14
Reporterslowjack2k 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionopen 
PlatformLinuxOSUbuntuOS Version14.04
Product Version14.2.2 
Target Version15.2.1Fixed in Version15.2.1 
Summary0000426: No DB-reconnect after connection los
DescriptionHi,

When my DB server drops the connection, for instance when automatic updates are installed, bareos stays alive and spams error messages but dont try a reconnect.

Errormessage: "ERR=no connection to the server"

I would like if bareos can reconnect or die. But stay alive and only send error message ist not good for automatic recovery.

For instance when bareos director dies monitoring would try to restart bareos director.

regards
dieter
Steps To ReproduceShutdown DB-Server and start a new Job.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
related to 0000631feedback No DB-reconnect after connection lost (again) 

-  Notes
There are no notes attached to this issue.

- Related Changesets
bareos: master 894d61a1
Timestamp: 2015-04-07 20:20:31
Author: mvwieringen
Ported: N/A
Details ] Diff ]
First attempt at more robust database connectivity.

- Allow reconnect of database connection when no transaction is pending.
- Allow setting of database connection failure to be fatal e.g. end
program.
mod - src/cats/bdb_dbi.h Diff ] File ]
mod - src/cats/bdb_ingres.h Diff ] File ]
mod - src/cats/bdb_mysql.h Diff ] File ]
mod - src/cats/bdb_postgresql.h Diff ] File ]
mod - src/cats/bdb_priv.h Diff ] File ]
mod - src/cats/bdb_sqlite.h Diff ] File ]
mod - src/cats/cats_backends.c Diff ] File ]
mod - src/cats/cats_backends.h Diff ] File ]
mod - src/cats/dbi.c Diff ] File ]
mod - src/cats/ingres.c Diff ] File ]
mod - src/cats/mysql.c Diff ] File ]
mod - src/cats/postgresql.c Diff ] File ]
mod - src/cats/protos.h Diff ] File ]
mod - src/cats/sql_glue.h Diff ] File ]
mod - src/cats/sql_pooling.c Diff ] File ]
mod - src/cats/sqlite.c Diff ] File ]
mod - src/dird/dird.c Diff ] File ]
mod - src/dird/dird_conf.c Diff ] File ]
mod - src/dird/dird_conf.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-25 09:33 slowjack2k New Issue
2015-03-31 10:56 pstorz Assigned To => pstorz
2015-03-31 10:56 pstorz Status new => acknowledged
2015-03-31 14:57 pstorz Assigned To pstorz =>
2015-03-31 15:03 mvwieringen Severity major => minor
2015-11-06 10:07 mvwieringen Changeset attached => bareos master 894d61a1
2015-11-06 10:08 mvwieringen Status acknowledged => resolved
2015-11-06 10:08 mvwieringen Fixed in Version => 15.2.1
2015-11-06 10:08 mvwieringen Target Version => 15.2.1
2016-03-29 13:14 joergs Relationship added related to 0000631


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker